| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
cv::datasets::TRACK_alov Class Referenceabstract
Framework for working with different datasets » Tracking

`#include "track_alov.hpp"`

Inheritance diagram for cv::datasets::TRACK_alov:

## Public Member Functions
virtual int | getDatasetLength (int id)=0
virtual int | getDatasetsNum ()=0
virtual bool | getFrame (Mat &frame, int datasetID, int frameID)=0
virtual vector< Point2f > | getGT (int datasetID, int frameID)=0
virtual bool | getNextFrame (Mat &frame)=0
virtual vector< Point2f > | getNextGT ()=0
virtual bool | initDataset (int id)=0
virtual void | load (const std::string &path)=0
virtual void | loadAnnotatedOnly (const std::string &path)=0
Public Member Functions inherited from cv::datasets::Dataset
| Dataset ()
virtual | ~Dataset ()
int | getNumSplits () const
std::vector< Ptr< Object > > & | getTest (int splitNum=0)
std::vector< Ptr< Object > > & | getTrain (int splitNum=0)
std::vector< Ptr< Object > > & | getValidation (int splitNum=0)

## Static Public Member Functions
static Ptr< TRACK_alov > | create ()

## Protected Attributes
int | activeDatasetID
vector< vector< Ptr< TRACK_alovObj > > > | data
int | frameCounter
Protected Attributes inherited from cv::datasets::Dataset
std::vector< std::vector< Ptr< Object > > > | test
std::vector< std::vector< Ptr< Object > > > | train
std::vector< std::vector< Ptr< Object > > > | validation

## Member Function Documentation

## § create()

static Ptr<TRACK_alov> cv::datasets::TRACK_alov::create | ( |  | ) |
| static

## § getDatasetLength()

virtual int cv::datasets::TRACK_alov::getDatasetLength | ( | int | id | ) |
| pure virtual

## § getDatasetsNum()

virtual int cv::datasets::TRACK_alov::getDatasetsNum | ( |  | ) |
| pure virtual

## § getFrame()

virtual bool cv::datasets::TRACK_alov::getFrame | ( | Mat & | frame,
|  | int | datasetID,
|  | int | frameID
| ) |  |
| pure virtual

## § getGT()

virtual vector<Point2f> cv::datasets::TRACK_alov::getGT | ( | int | datasetID,
|  | int | frameID
| ) |  |
| pure virtual

## § getNextFrame()

virtual bool cv::datasets::TRACK_alov::getNextFrame | ( | Mat & | frame | ) |
| pure virtual

## § getNextGT()

virtual vector<Point2f> cv::datasets::TRACK_alov::getNextGT | ( |  | ) |
| pure virtual

## § initDataset()

virtual bool cv::datasets::TRACK_alov::initDataset | ( | int | id | ) |
| pure virtual

## § load()

virtual void cv::datasets::TRACK_alov::load | ( | const std::string & | path | ) |
| pure virtual

Implements cv::datasets::Dataset.

## § loadAnnotatedOnly()

virtual void cv::datasets::TRACK_alov::loadAnnotatedOnly | ( | const std::string & | path | ) |
| pure virtual

## Member Data Documentation

## § activeDatasetID

int cv::datasets::TRACK_alov::activeDatasetID
| protected

## § data

vector<vector <Ptr<TRACK_alovObj> > > cv::datasets::TRACK_alov::data
| protected

## § frameCounter

int cv::datasets::TRACK_alov::frameCounter
| protected

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/datasets/include/opencv2/datasets/track_alov.hpp